Create an item in a project
POST
/api/v1/projects/{projectId}/items
const url = 'https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/items';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"itemTypeId":"example","attributes":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.avera.io/api/v1/projects/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/items \ --header 'Content-Type: application/json' \ --data '{ "itemTypeId": "example", "attributes": "example" }'Allocates the item’s number from the type’s prefix sequence (a number once issued is never reissued) and creates the item on the caller’s branch with the given attributes.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”projectId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
itemTypeId
required
string
attributes
object | null
Example generated
{ "itemTypeId": "example", "attributes": "example"}Responses
Section titled “Responses”OK
Media type*/*
object
id
required
string format: uuid
itemTypeId
required
string
canonicalId
required
string format: uuid
number
required
string
revision
string | null
seq
required
integer format: int64
status
required
string
workflowStateId
required
string
projectId
required
string format: uuid
branchId
required
string format: uuid
createdAt
required
string format: date-time
createdBy
required
string format: uuid
modifiedAt
required
string format: date-time
modifiedBy
required
string format: uuid
attributes
object | null
wasEverReleased
boolean | null
frozenAttributeIds
Array<string> | null